* TODO: fix pump being not working with glass panel on top

## 3.3.1.1
* fixed: rendering of connected vents and pumps
* __requires: ForgeEndertech 4.3.10.0 or above__

## 3.3.1.0
+ added: new model for the Smoker block
+ added: config option to invert pump active state (thanks to frikavonschwein)
* improved: model for Pump
* __requires: ForgeEndertech 4.3.6.0 or above__

## 3.3.0.0
+ added: new nice 3D models for vents and pumps
+ added: new GUI options for controlling the display of blocks on creative tab (thanks to joonny030589)
+ added: recipe for the Smoker (thanks to Goldobsidian)
* replaced: emitters with pumps with new functions (see Pollution of the Realms)
* renamed: conductors to vents 
* changed: pump recipe (comparator replaced by coal block)
* fixed: incorrect texture mapping on chimneys
* __requires: ForgeEndertech 4.3.5.0 or above__

## 3.2.2.0
+ added: config GUI for in-game changing basic mod settings
+ added: ability to connect conductors to the bottom of the furnace to hide vent ducts in the floor
+ increased: default max particles amount from 400 to 800
* implemented: a new function of the conductor as a vent duct for Pollution of the Realms mod
* fixed: incorrect smoke particle texture indexing
* __requires: ForgeEndertech 4.3.4.0 or above__

## 3.2.1.2
* fixed: crash when using a vanilla map (thanks to VolksJagger)
* __requires: ForgeEndertech 4.3.1.0__

## 3.2.1.1
+ increased: smoke default max horizontal transfer distance from 8 to 16
* fixed: recognition of IC2 tile entities (thanks to MadHaTr and ColiosX)
* fixed: compatibility with SpongeForge (thanks to LiskoSlayer63)
* fixed: compatibility with Furnus (thanks to VictorScrooge)

## 3.2.1.0
+ added: separate config emitWithoutChimney parameter for each emitter
+ added: compatibility with Teckle (thanks to VivaGabe)
+ added: Marble Chimney and Polished Marble Chimney for Quark mod
+ added: Coke Brick Chimney and Blast Brick Chimney for Immersive Engineering mod
+ added: maxHorizTransferDistance global config parameter for conductors
* fixed: redundant player tick event handling on both phases
* fixed: improper custom chimney registration causing textures being missed
* fixed: chimney being always dropped when conductor or emitter gets destroyed
* fixed: incorrect tooltips for conductors and emitters
- turned off: smoke particles emission for IC blocks (thanks to MadHaTr and ColiosX)

## 3.2.0.0
! ATTENTION: delete old configs (.minecraft/config/adchimneys folder) for changes to take effect
+ implemented: wind simulation with configurable parameters (.minecraft/config/forgeendertech folder)
+ implemented: horizontal smoke transfer ability via build-in conductors (thanks to Ldrs12)
+ added: build-in redstone powered smoke emitters for each material the chimney is made of
+ added: compatibility with Techreborn (thanks to Hypsellis)
+ added: compatibility with RFTools
- removed: some redundant configs and parameters
* improved: all config parameters for better performance (it is necessary to delete old configs)
* fixed: smoke particles getting out of the chimney bounds

## 3.1.0.0
+ added: transparent chimneys support
+ added: glass chimneys of all colors (thanks to Hypsellis)
+ added: new config options: Smoke.canCollide, Smoke.emitWithoutChimney
* reworked: particle generating system for transparent chimneys
* updated: localization files
* fixed: map colors for chimney blocks
* fixed: invalid event annotation error (thanks to Xenonics)
* updated to recommended forge-1.12.2-14.23.0.2491

## 3.0.1.0
+ added: a lot of new chimneys (thanks to Hypsellis)
+ added: Glazed Terracotta Chimneys (all 16 colors)
+ added: Concrete Chimneys (all 16 colors)
* updated: localization files

## 3.0.0.0
* ported to Minecraft 1.12

## 2.0.13.0
+ added: compatibility with Immersive Engineering (thanks to Malaclypse2317)

## 2.0.12.0
+ added: compatibility with Tinkers Construct (thanks to inkdrgn)

## 2.0.11.0
+ added: compatibility with Giacomo's Foundry (thanks to VivaGabe)
+ added: compatibility with Advanced Generators (thanks to MatthiasMann)

## 2.0.10.0
+ added: compatibility with Industrial Craft 2 (thanks to VivaGabe)

## 2.0.9.1
+ added: Bone Chimney (thanks to Hypsellis)
+ added: Dirt Chimney
+ added: Coarse Dirt Chimney
+ added: Russian localization (thanks to Aqelius)
+ added: ability to get into the chimney, like Santa (thanks to darthvader45 and kenijey) 
+ added: compatibility with Machines mod (thanks to COMFYCATs)
+ added: compatibility with MrCrayfish's Furniture Mod (thanks to kenijey)
* fixed: smoke being blocked by Tough As Nails torches
* fixed: chimney side being not recognized as solid (thanks to JasonKillsUS)

## 2.0.8.0
+ added: a lot of new chimneys (thanks to Hypsellis)
+ added: Seal Lantern Chimney
+ added: Mossy Stone Brick Chimney
+ added: Cracked Stone Brick Chimney
+ added: Chiseled Sandstone Chimney
+ added: Chiseled Quartz Chimney
+ added: Pillar Quartz Chimney
+ added: Chiseled Red Sandstone Chimney
+ added: Clay Chimney
+ added: Hardened Clay Chimneys (all 16 colors)
+ added: compatibility with Tough As Nails (thanks to SquareWheel)

## 2.0.7.0
+ added: compatibility with Better With Mods (thanks to SquareWheel)
+ added: compatibility with Thermal Expansion (thanks to Namaikavi)
* fixed: smoke color not working for custom emitters
* fixed: smoke being blocked by stained glass panels
* improved: smoke particles physics and collisions

## 2.0.6.0
+ added: compatibility with Actually Additions (thanks to Tank2333)
+ added: compatibility with FunOres
+ added: compatibility with Mystical Agriculture (thanks to Minecraft_Indonesian)

## 2.0.5.0
* **WARNING! Delete old configs if you are updating from previous versions**
+ added: snow melts around an active chimney (thanks to TomberWolf)
+ added: config parameter "maxRenderedParticlesAmount" that greatly affects performance
+ added: smoke amount will be proportionally reduced for each rendered chimney if it exceeds the specified maximum 
* fixed: chimney covered by glass or glass pane stopped to emit smoke 
* fixed: NullPointerException when using Smoker block
* fixed: torches could be placed on the top of the chimney
* fixed: torches placed on a size of the chimney blocked up smoke
* fixed: cobweb blocked up smoke completely
* improved: increased default render distance from 80 to 128 
* improved: performance greatly increased when using a lot of chimneys

## 2.0.4.0
* WARNING! you must delete old configs from Conductors and Emitters folders
* fixed ignoring meta data in config files
* fixed compatibility with updated mods
* fixed smoke blocking by Cooking for Blockheads racks
* More Furnaces mod has different smoke colors for each furnace now

## 2.0.3.1
* fixed incorrect id recognition with '*' character as meta 

## 2.0.3.0
* deep code reorganization
* updated to the latest recommended forge-1.11.2-13.20.0.2228

## 2.0.2.0
+ added gui configurable Smoker block that can be used instead of furnace (thanks to xenoflot)

## 2.0.1.0
* fixed some vanilla block names being overridden by chimneys (thanks to xavierh44)
* some code improvements
* updated to the latest forge-1.11.2-13.20.0.2223

## 2.0.0.0
* ported to Minecraft 1.11.2 (forge-1.11.2-13.20.0.2203)
* changed format for all ids to comply with MC 1.11 standart
+ added Coal Chimney
+ added Dark Prismarine Chimney
+ added Endstone Brick Chimney
+ added Magma Chimney
+ added Nether Wart Chimney
+ added Polished Andesite Chimney
+ added Polished Diorite Chimney
+ added Polished Granite Chimney
+ added Red Nether Brick Chimney
+ added Smooth Red Sandstone Chimney
+ added Smooth Sandstone Chimney

## 1.1.4.0
* added compatibility with Cooking for Blockheads (thanks to jhayejarvis)

## 1.1.3.1
* fixed: textures being overstretched on west and south sides (thanks to Link19658)

## 1.1.3.0
* added compatibility with EnderIO Stirling Generator

## 1.1.2.1
* fixed incorrect smoke color settings for emitters
* removed remaining redundant conductors

## 1.1.2.0
* added compatibility with Furnus mod
* removed redundant conductors
* requires ForgeEndertech 1.10.2-1.1.3.0

## 1.1.1.1
* rebuild to accept older Minecraft versions [1.9.4, 1.10]
* requires ForgeEndertech 1.10.2-1.1.1.1

## 1.1.1.0
* updated to the latest ForgeEndertech lib
* requires ForgeEndertech 1.10.2-1.1.1.0

## 1.1.0.1
* some versioning fixes
* updated to the latest stable Forge
* requires ForgeEndertech 1.10.2-1.1.0.1

## 1.1.0.0
* fixed broken recipes
* now the hardness, resistance and light parameters depend on base material (remove old configs to make it work)
+ added Glowstone Chimney
+ added Purpur Chimney
+ added Soul Sand Chimney
* requires ForgeEndertech 1.10.2-1.1.0.0

## 1.0.0.0
* ported to Minecraft 1.10.2
+ added Andesite Chimney
+ added Diorite Chimney
+ added Granite Chimney
+ added Prismarine Chimney
+ added Prismarine Brick Chimney
+ added Red Sandstone Chimney
